Authentication

Validate password reset token

Call before showing the "set new password" form. Validates that the token from the reset link is still valid and not expired. Organization (platform) reset only.

AuthPublic
GroupAuthentication
Rate limitSee Rate Limits
POST/api/auth/password-reset/validate

SDK setup

Create a client instance. No authentication is required for this endpoint.

import { Configuration, AuthenticationApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
});

const authentication = new AuthenticationApi(configuration);
import { Configuration, AuthenticationApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
});

const authentication = new AuthenticationApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await authentication.validatePasswordResetToken(
  {
    token: "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfZGVtbyJ9.sig_sample"
  }
);
const { data: result } = await authentication.validatePasswordResetToken(
  {
    token: "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfZGVtbyJ9.sig_sample"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

No Request Yet

Send a request to see the full inspector

Authentication

Public — No Auth Required

Request Body

json
{
  "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfZGVtbyJ9.sig_sample"
}
{
  "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfZGVtbyJ9.sig_sample"
}

Responses

200Token is valid
json
{
  "valid": true
}
{
  "valid": true
}
400Token invalid or expired
json
{
  "valid": false,
  "error": "Invalid or expired reset token"
}
{
  "valid": false,
  "error": "Invalid or expired reset token"
}

Errors

CodeMeaning
400Token invalid or expired
Edit this page on GitHub